Subject: Add support for xz-compressed debs
Author: Jakub Wilk <jwilk@debian.org>
Bug-Debian: http://bugs.debian.org/644172

diff --git a/autoload/deb.vim b/autoload/deb.vim
--- a/autoload/deb.vim
+++ b/autoload/deb.vim
@@ -32,6 +32,8 @@
         let l:unpcmp = "tar zxfO "
     elseif l:archmember == "data.tar.bz2"
         let l:unpcmp = "tar jxfO "
+    elseif l:archmember == "data.tar.xz"
+	let l:unpcmp = "tar JxfO "
     elseif l:archmember == "data.tar.lzma"
         if !s:hascmd("lzma")
             return
@@ -230,7 +232,7 @@
 " return data file name for debian package. This can be either data.tar.gz,
 " data.tar.bz2 or data.tar.lzma
 fun s:dataFileName(deb)
-    for fn in ["data.tar.gz", "data.tar.bz2", "data.tar.lzma", "data.tar"]
+    for fn in ["data.tar.gz", "data.tar.bz2", "data.tar.lzma", "data.tar.xz", "data.tar"]
         " [0:-2] is to remove trailing null character from command output
         if (system("ar t " . "'" . a:deb . "'" . " " . fn))[0:-2] == fn
             return fn
